<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">

<bulletml type="vertical" xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">

<action label="top1">
	<repeat>
	<times>3+$rank*4</times>
		<action>
			<fire>
				<bulletRef label="downspd1"/>
			</fire>
			<wait>10-$rank*5</wait>
		</action>
	</repeat>
</action>

<action label="top2">
	<repeat>
	<times>3+$rank*4</times>
		<action>
			<fire>
				<bulletRef label="downspd2"/>
			</fire>
			<wait>10-$rank*5</wait>
		</action>
	</repeat>
</action>

<bullet label="downspd1">
	<direction type="absolute">0+15+$rand*30</direction>
	<speed>1+$rank*2</speed>
	<action>
		<accel>
			<vertical>2+$rank*2</vertical>
			<term>60</term>
		</accel>
		<changeDirection>
			<direction type="absolute">180+30-$rand*60</direction>
			<term>60</term>
		</changeDirection>
	</action>
</bullet>

<bullet label="downspd2">
	<direction type="absolute">0-15-$rand*30</direction>
	<speed>1+$rank*2</speed>
	<action>
		<accel>
			<vertical>2+$rank*2</vertical>
			<term>60</term>
		</accel>
		<changeDirection>
			<direction type="absolute">180-30+$rand*60</direction>
			<term>60</term>
		</changeDirection>
	</action>
</bullet>

</bulletml>
